pro LUTcolor
;
; this procedure sets up a Red-Green-Blue color table for use
; in generating color plots, using the "color" keyword in
; the plot or oplot routine to select the color
;
; color 0 is black, for convenience in drawing axes, etc.
; Then colors 1,2,...,10 are violet to red to brown, for
; plotting distinct colors is a spectrum order
; color 11 is light gray
; color 12 is charcoal gray
; color 13 is white for backgrounds
; color 14 is for other backgrounds, as desired
;
; set up an RGB color table (see p 16-9 of IDL user's guide) with indices as follows:
; index = [0,    1,          2,        3,              4,         5,
; color = [black,violet(412),blue(440),blue-green(488),green(510),green-yellow(532),
;          6,          7,          8,       9,        10,    11,         12,         13,       14]
;          yellow(555),orange(650),red(676),dark red, brown, light gray, dark gray, white, background]
;
; the assumed ac-9 wavelengths are
; wavelen = [black,412,440,488,510,532,555,650,676,dark red,brown,light gray,dark gray,white, background]
red =       [0,    200,  0,  0,  0,200,255,255,255,190,     200,  226,        150,     255,      220]
green =     [0,      0,  0,200,255,255,255,150,  0,  0,     150,  226,        150,     255,      220]
blue  =     [0,    255,255,255,  0,  0,  0,  0,  0,  0,       0,  226,        150,     255,      255]
tvlct, red, green, blue

;  set for black plot on white background as default
   !p.background=13 ; white in this color table
   !p.color=0       ; black

return
end
